Function
primsAlgorithm
Computes a minimum spanning tree on a graph.
primsAlgorithm(g, source, weight, predecessor)
Include Headers
seqan/graph_algorithms.h
Parameters

g | In-parameter:An undirected graph. Types: Undirected Graph
source | In-parameter:A source vertex. Types: VertexDescriptor
weight | In-parameter:Edge weights.
predecessor | Out-parameter:A property map. Remarks: A property map that represents predecessor relationships among vertices. It determines a minimum spanning tree.

Return Values
void.
Example Programs
Prims Algorithm
See Also
kruskalsAlgorithm
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:48